﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;


namespace Schedule.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            List<ScheduleData> Appoint = new List<ScheduleData>();
            Appoint.Add(new ScheduleData { Id = 1, Subject = "Meeting1", StartTime = new DateTime(2017, 04, 20, 10, 00, 00), EndTime = new DateTime(2017, 04, 20, 11, 00, 00),  Type = "A", IsAllDay = false, Recurrence = false, RecurrenceRule = "" });
            Appoint.Add(new ScheduleData { Id = 12, Subject = "Meeting2", StartTime = new DateTime(2017, 04, 17, 10, 00, 00), EndTime = new DateTime(2017, 04, 17, 11, 00, 00), Type = "B", IsAllDay = false, Recurrence = false, RecurrenceRule = "" });
            Appoint.Add(new ScheduleData { Id = 13, Subject = "Meeting3", StartTime = new DateTime(2017, 04, 18, 10, 00, 00), EndTime = new DateTime(2017, 04, 18, 11, 00, 00), Type = "A", IsAllDay = false, Recurrence = false, RecurrenceRule = "" });
            Appoint.Add(new ScheduleData { Id = 14, Subject = "Meeting4", StartTime = new DateTime(2017, 04, 19, 10, 00, 00), EndTime = new DateTime(2017, 04, 19, 11, 00, 00), Type = "B", IsAllDay = false, Recurrence = false, RecurrenceRule = "" });
            ViewBag.dataSource = Appoint;
            return View();
        }
        public class ScheduleData
        {
            public int Id { get; set; }
            public string Subject { get; set; }
            public string Type { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public bool IsAllDay { get; set; }
            public bool Recurrence { get; set; }
            public string RecurrenceRule { get; set; }
        }
    }
}